package com.cnbm.admin.service;

import com.cnbm.admin.dto.SysDictTypeDTO;
import com.cnbm.admin.entity.DictType;
import com.cnbm.admin.entity.SysDictTypeEntity;
import com.cnbm.common.page.PageData;
import com.cnbm.common.service.BaseService;

import java.util.List;
import java.util.Map;

/**
 * @Author weihongyang
 * @Date 2022/6/12 10:58 AM
 * @Version 1.0
 */
public interface SysDictTypeService extends BaseService<SysDictTypeEntity> {

    PageData<SysDictTypeDTO> page(Map<String, Object> params);

    SysDictTypeDTO get(Long id);

    void save(SysDictTypeDTO dto);

    void update(SysDictTypeDTO dto);

    void delete(Long[] ids);

    /**
     * 获取所有字典
     */
    List<DictType> getAllList();

}
