package com.cnbm.admin.service;

import com.cnbm.admin.dto.SysRoleDTO;
import com.cnbm.admin.entity.SysRoleEntity;
import com.cnbm.common.page.PageData;
import com.cnbm.common.service.BaseService;

import java.util.List;
import java.util.Map;

/**
 * @Author weihongyang
 * @Date 2022/6/12 10:07 AM
 * @Version 1.0
 */
public interface SysRoleService extends BaseService<SysRoleEntity> {

    PageData<SysRoleDTO> page(Map<String, Object> params);

    List<SysRoleDTO> list(Map<String, Object> params);

    SysRoleDTO get(Long id);

    void save(SysRoleDTO dto);

    void update(SysRoleDTO dto);

    void delete(Long[] ids);

}