package com.cnbm.common.service;

import com.cnbm.common.page.PageData;

import java.util.List;
import java.util.Map;

/**
 * @Author weihongyang
 * @Date 2022/6/7 3:06 PM
 * @Version 1.0
 */
public interface CrudService<T, D> extends BaseService<T> {

    PageData<D> page(Map<String, Object> params);

    List<D> list(Map<String, Object> params);

    D get(Long id);

    void save(D dto);

    void update(D dto);

    void delete(Long[] ids);

}
